For the complete documentation index, see llms.txt. This page is also available as Markdown.

Maintenance Windows

List maintenance windows.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
statestring · enumOptional

Filter maintenance windows by state. OPEN includes upcoming and ongoing windows, CLOSED includes past windows.

Possible values:
servicesinteger · int64[]Optional

filter by service IDs

sourcesinteger · int64[]Optional

filter by alert source IDs

fromstring · date-timeOptional

from date, ISO-UTC e.g. 2021-05-25T21:24:56.771Z

untilstring · date-timeOptional

until date, ISO-UTC e.g. 2021-05-26T21:24:56.771Z

start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 100Optional

the maximum number of results when paging through a list of entities.

Default: 50
Responses
200

the maintenance window object

application/json
idinteger · int64Read-onlyOptional
timezonestring · enumOptionalPossible values:
startstring · date-timeOptional
endstring · date-timeOptional
summarystringOptional
descriptionstringOptional
createdBystringRead-onlyOptional
get/maintenance-windows
GET /api/maintenance-windows HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the maintenance window object

[
  {
    "id": 1,
    "timezone": "Europe/Berlin",
    "start": "2026-01-01T00:00:00.000Z",
    "end": "2026-01-01T00:00:00.000Z",
    "summary": "text",
    "description": "text",
    "alertSources": [
      {
        "id": 1,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "name": "text",
        "iconUrl": "text",
        "lightIconUrl": "text",
        "darkIconUrl": "text",
        "escalationPolicy": {
          "id": 1,
          "name": "text",
          "escalationRules": [
            {
              "escalationTimeout": 1,
              "user": {
                "id": 1
              },
              "schedule": {
                "id": 1
              },
              "team": {
                "id": 1
              },
              "users": [
                {
                  "id": 1,
                  "firstName": "text",
                  "lastName": "text"
                }
              ],
              "schedules": [
                {
                  "id": 1,
                  "name": "text",
                  "type": "STATIC"
                }
              ],
              "teams": [
                {
                  "id": 1,
                  "name": "text"
                }
              ]
            }
          ],
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "repeating": false,
          "frequency": 1,
          "delayMin": 0,
          "routingKey": "text",
          "managedBy": {
            "type": "API",
            "source": "text"
          }
        },
        "integrationType": "NAGIOS",
        "integrationKey": "text",
        "integrationUrl": "text",
        "autoResolutionTimeout": "text",
        "alertGroupingWindow": "text",
        "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
        "status": "PENDING",
        "active": true,
        "alertPriorityRule": "HIGH",
        "supportHours": {
          "id": 1,
          "name": "text",
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "timezone": "Europe/Berlin",
          "supportDays": {
            "MONDAY": {
              "start": "00:00:00",
              "end": "00:00:00"
            },
            "TUESDAY": {
              "start": "00:00:00",
              "end": "00:00:00"
            },
            "WEDNESDAY": {
              "start": "00:00:00",
              "end": "00:00:00"
            },
            "THURSDAY": {
              "start": "00:00:00",
              "end": "00:00:00"
            },
            "FRIDAY": {
              "start": "00:00:00",
              "end": "00:00:00"
            },
            "SATURDAY": {
              "start": "00:00:00",
              "end": "00:00:00"
            },
            "SUNDAY": {
              "start": "00:00:00",
              "end": "00:00:00"
            }
          },
          "exceptions": [
            {
              "name": "text",
              "start": "2026-01-01",
              "end": "2026-01-01",
              "supportStatus": "DURING"
            }
          ],
          "managedBy": {
            "type": "API",
            "source": "text"
          },
          "currentStatus": "DURING"
        },
        "bidirectional": true,
        "summaryTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "detailsTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "routingTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "linkTemplates": [
          {
            "text": "text",
            "hrefTemplate": {
              "textTemplate": "text",
              "elements": [
                {
                  "type": "TEXT",
                  "val": "text",
                  "func": "text",
                  "args": [
                    {
                      "S": "text",
                      "N": 1
                    }
                  ]
                }
              ]
            }
          }
        ],
        "priorityTemplate": {
          "valueTemplate": {
            "textTemplate": "text",
            "elements": [
              {
                "type": "TEXT",
                "val": "text",
                "func": "text",
                "args": [
                  {
                    "S": "text",
                    "N": 1
                  }
                ]
              }
            ]
          },
          "mappings": [
            {
              "value": "text",
              "priority": "LOW"
            }
          ]
        },
        "severityTemplate": {
          "valueTemplate": {
            "textTemplate": "text",
            "elements": [
              {
                "type": "TEXT",
                "val": "text",
                "func": "text",
                "args": [
                  {
                    "S": "text",
                    "N": 1
                  }
                ]
              }
            ]
          },
          "mappings": [
            {
              "value": "text",
              "severity": 1
            }
          ]
        },
        "eventFilter": "text",
        "alertKeyTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "servicesTemplate": [
          {
            "textTemplate": "text",
            "elements": [
              {
                "type": "TEXT",
                "val": "text",
                "func": "text",
                "args": [
                  {
                    "S": "text",
                    "N": 1
                  }
                ]
              }
            ]
          }
        ],
        "eventTypeFilterCreate": "text",
        "eventTypeFilterAccept": "text",
        "eventTypeFilterResolve": "text",
        "autoRaiseAlerts": true,
        "scoreThreshold": 1,
        "severity": 1,
        "services": [
          {
            "id": 1,
            "name": "text",
            "alias": "text",
            "status": "OPERATIONAL",
            "description": "text",
            "oneOpenIncidentOnly": true,
            "showUptimeHistory": true,
            "teams": [
              {
                "id": 1,
                "name": "text"
              }
            ],
            "subscribed": true,
            "uptime": {
              "rangeStart": "2026-01-01T00:00:00.000Z",
              "rangeEnd": "2026-01-01T00:00:00.000Z",
              "outages": [
                {
                  "status": "OPERATIONAL",
                  "from": "2026-01-01T00:00:00.000Z",
                  "until": "2026-01-01T00:00:00.000Z"
                }
              ],
              "uptimePercentage": {
                "uptimePercentage": {
                  "p90": 1,
                  "p60": 1,
                  "p30": 1
                }
              }
            },
            "managedBy": {
              "type": "API",
              "source": "text"
            },
            "publicStatus": "OPERATIONAL",
            "labels": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "iconUrl": "text",
            "links": [
              {
                "href": "https://example.com",
                "text": "text"
              }
            ],
            "createdBy": {
              "type": "API",
              "source": "text"
            },
            "dependencies": [
              {
                "id": 1,
                "sourceServiceId": 1,
                "targetServiceId": 1,
                "notes": "text",
                "invalidAfter": "2026-01-01T00:00:00.000Z",
                "createdAt": "2026-01-01T00:00:00.000Z",
                "updatedAt": "2026-01-01T00:00:00.000Z",
                "createdBy": {
                  "type": "API",
                  "source": "text"
                },
                "managedBy": {
                  "type": "API",
                  "source": "text"
                }
              }
            ]
          }
        ],
        "setupStatus": "CREATED",
        "autoCreateServices": false,
        "createdAt": "text",
        "updatedAt": "text",
        "managedBy": {
          "type": "API",
          "source": "text"
        }
      }
    ],
    "services": [
      {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ],
        "createdBy": {
          "type": "API",
          "source": "text"
        }
      }
    ],
    "createdBy": "text",
    "notifications": {
      "atCreation": true,
      "dayBeforeStart": true,
      "hourBeforeStart": true,
      "atStart": true,
      "atEnd": true
    }
  }
]

Create a new maintenance window.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
idinteger · int64Read-onlyOptional
timezonestring · enumOptionalPossible values:
startstring · date-timeOptional
endstring · date-timeOptional
summarystringOptional
descriptionstringOptional
createdBystringRead-onlyOptional
Responses
200

The URI of the maintenance window will be included in the location header and the maintenance window will be included in the body.

application/json
idinteger · int64Read-onlyOptional
timezonestring · enumOptionalPossible values:
startstring · date-timeOptional
endstring · date-timeOptional
summarystringOptional
descriptionstringOptional
createdBystringRead-onlyOptional
post/maintenance-windows
POST /api/maintenance-windows HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3890

{
  "timezone": "Europe/Berlin",
  "start": "2026-01-01T00:00:00.000Z",
  "end": "2026-01-01T00:00:00.000Z",
  "summary": "text",
  "description": "text",
  "alertSources": [
    {
      "id": 1,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "name": "text",
      "iconUrl": "text",
      "lightIconUrl": "text",
      "darkIconUrl": "text",
      "escalationPolicy": {
        "id": 1,
        "name": "text",
        "escalationRules": [
          {
            "escalationTimeout": 1,
            "user": {
              "id": 1
            },
            "schedule": {
              "id": 1
            },
            "team": {
              "id": 1
            },
            "users": [
              {
                "id": 1,
                "firstName": "text",
                "lastName": "text"
              }
            ],
            "schedules": [
              {
                "id": 1,
                "name": "text",
                "type": "STATIC"
              }
            ],
            "teams": [
              {
                "id": 1,
                "name": "text"
              }
            ]
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "repeating": false,
        "frequency": 1,
        "delayMin": 0,
        "routingKey": "text"
      },
      "integrationType": "NAGIOS",
      "integrationKey": "text",
      "autoResolutionTimeout": "text",
      "alertGroupingWindow": "text",
      "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
      "active": true,
      "alertPriorityRule": "HIGH",
      "supportHours": {
        "id": 1,
        "name": "text",
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "timezone": "Europe/Berlin",
        "supportDays": {
          "MONDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "TUESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "WEDNESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "THURSDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "FRIDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SATURDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SUNDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          }
        },
        "exceptions": [
          {
            "name": "text",
            "start": "2026-01-01",
            "end": "2026-01-01",
            "supportStatus": "DURING"
          }
        ]
      },
      "summaryTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "detailsTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "routingTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "linkTemplates": [
        {
          "text": "text",
          "hrefTemplate": {
            "textTemplate": "text",
            "elements": [
              {
                "type": "TEXT",
                "val": "text",
                "func": "text",
                "args": [
                  {
                    "S": "text",
                    "N": 1
                  }
                ]
              }
            ]
          }
        }
      ],
      "priorityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "priority": "LOW"
          }
        ]
      },
      "severityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "severity": 1
          }
        ]
      },
      "eventFilter": "text",
      "alertKeyTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "servicesTemplate": [
        {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      ],
      "eventTypeFilterCreate": "text",
      "eventTypeFilterAccept": "text",
      "eventTypeFilterResolve": "text",
      "autoRaiseAlerts": true,
      "scoreThreshold": 1,
      "severity": 1,
      "services": [
        {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "uptime": {
            "rangeStart": "2026-01-01T00:00:00.000Z",
            "rangeEnd": "2026-01-01T00:00:00.000Z",
            "outages": [
              {
                "status": "OPERATIONAL",
                "from": "2026-01-01T00:00:00.000Z",
                "until": "2026-01-01T00:00:00.000Z"
              }
            ],
            "uptimePercentage": {
              "uptimePercentage": {}
            }
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "dependencies": [
            {
              "sourceServiceId": 1,
              "targetServiceId": 1,
              "notes": "text",
              "invalidAfter": "2026-01-01T00:00:00.000Z"
            }
          ]
        }
      ],
      "setupStatus": "CREATED",
      "autoCreateServices": false
    }
  ],
  "services": [
    {
      "id": 1,
      "name": "text",
      "alias": "text",
      "status": "OPERATIONAL",
      "description": "text",
      "oneOpenIncidentOnly": true,
      "showUptimeHistory": true,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "publicStatus": "OPERATIONAL",
      "labels": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "iconUrl": "text",
      "links": [
        {
          "href": "https://example.com",
          "text": "text"
        }
      ]
    }
  ],
  "notifications": {
    "atCreation": true,
    "dayBeforeStart": true,
    "hourBeforeStart": true,
    "atStart": true,
    "atEnd": true
  }
}
200

The URI of the maintenance window will be included in the location header and the maintenance window will be included in the body.

{
  "id": 1,
  "timezone": "Europe/Berlin",
  "start": "2026-01-01T00:00:00.000Z",
  "end": "2026-01-01T00:00:00.000Z",
  "summary": "text",
  "description": "text",
  "alertSources": [
    {
      "id": 1,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "name": "text",
      "iconUrl": "text",
      "lightIconUrl": "text",
      "darkIconUrl": "text",
      "escalationPolicy": {
        "id": 1,
        "name": "text",
        "escalationRules": [
          {
            "escalationTimeout": 1,
            "user": {
              "id": 1
            },
            "schedule": {
              "id": 1
            },
            "team": {
              "id": 1
            },
            "users": [
              {
                "id": 1,
                "firstName": "text",
                "lastName": "text"
              }
            ],
            "schedules": [
              {
                "id": 1,
                "name": "text",
                "type": "STATIC"
              }
            ],
            "teams": [
              {
                "id": 1,
                "name": "text"
              }
            ]
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "repeating": false,
        "frequency": 1,
        "delayMin": 0,
        "routingKey": "text",
        "managedBy": {
          "type": "API",
          "source": "text"
        }
      },
      "integrationType": "NAGIOS",
      "integrationKey": "text",
      "integrationUrl": "text",
      "autoResolutionTimeout": "text",
      "alertGroupingWindow": "text",
      "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
      "status": "PENDING",
      "active": true,
      "alertPriorityRule": "HIGH",
      "supportHours": {
        "id": 1,
        "name": "text",
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "timezone": "Europe/Berlin",
        "supportDays": {
          "MONDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "TUESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "WEDNESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "THURSDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "FRIDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SATURDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SUNDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          }
        },
        "exceptions": [
          {
            "name": "text",
            "start": "2026-01-01",
            "end": "2026-01-01",
            "supportStatus": "DURING"
          }
        ],
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "currentStatus": "DURING"
      },
      "bidirectional": true,
      "summaryTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "detailsTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "routingTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "linkTemplates": [
        {
          "text": "text",
          "hrefTemplate": {
            "textTemplate": "text",
            "elements": [
              {
                "type": "TEXT",
                "val": "text",
                "func": "text",
                "args": [
                  {
                    "S": "text",
                    "N": 1
                  }
                ]
              }
            ]
          }
        }
      ],
      "priorityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "priority": "LOW"
          }
        ]
      },
      "severityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "severity": 1
          }
        ]
      },
      "eventFilter": "text",
      "alertKeyTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "servicesTemplate": [
        {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      ],
      "eventTypeFilterCreate": "text",
      "eventTypeFilterAccept": "text",
      "eventTypeFilterResolve": "text",
      "autoRaiseAlerts": true,
      "scoreThreshold": 1,
      "severity": 1,
      "services": [
        {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "subscribed": true,
          "uptime": {
            "rangeStart": "2026-01-01T00:00:00.000Z",
            "rangeEnd": "2026-01-01T00:00:00.000Z",
            "outages": [
              {
                "status": "OPERATIONAL",
                "from": "2026-01-01T00:00:00.000Z",
                "until": "2026-01-01T00:00:00.000Z"
              }
            ],
            "uptimePercentage": {
              "uptimePercentage": {
                "p90": 1,
                "p60": 1,
                "p30": 1
              }
            }
          },
          "managedBy": {
            "type": "API",
            "source": "text"
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "createdBy": {
            "type": "API",
            "source": "text"
          },
          "dependencies": [
            {
              "id": 1,
              "sourceServiceId": 1,
              "targetServiceId": 1,
              "notes": "text",
              "invalidAfter": "2026-01-01T00:00:00.000Z",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "updatedAt": "2026-01-01T00:00:00.000Z",
              "createdBy": {
                "type": "API",
                "source": "text"
              },
              "managedBy": {
                "type": "API",
                "source": "text"
              }
            }
          ]
        }
      ],
      "setupStatus": "CREATED",
      "autoCreateServices": false,
      "createdAt": "text",
      "updatedAt": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    }
  ],
  "services": [
    {
      "id": 1,
      "name": "text",
      "alias": "text",
      "status": "OPERATIONAL",
      "description": "text",
      "oneOpenIncidentOnly": true,
      "showUptimeHistory": true,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "managedBy": {
        "type": "API",
        "source": "text"
      },
      "publicStatus": "OPERATIONAL",
      "labels": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "iconUrl": "text",
      "links": [
        {
          "href": "https://example.com",
          "text": "text"
        }
      ],
      "createdBy": {
        "type": "API",
        "source": "text"
      }
    }
  ],
  "createdBy": "text",
  "notifications": {
    "atCreation": true,
    "dayBeforeStart": true,
    "hourBeforeStart": true,
    "atStart": true,
    "atEnd": true
  }
}

Get the maintenance window with specified id.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
200

the maintenance window object

application/json
idinteger · int64Read-onlyOptional
timezonestring · enumOptionalPossible values:
startstring · date-timeOptional
endstring · date-timeOptional
summarystringOptional
descriptionstringOptional
createdBystringRead-onlyOptional
get/maintenance-windows/{id}
GET /api/maintenance-windows/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the maintenance window object

{
  "id": 1,
  "timezone": "Europe/Berlin",
  "start": "2026-01-01T00:00:00.000Z",
  "end": "2026-01-01T00:00:00.000Z",
  "summary": "text",
  "description": "text",
  "alertSources": [
    {
      "id": 1,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "name": "text",
      "iconUrl": "text",
      "lightIconUrl": "text",
      "darkIconUrl": "text",
      "escalationPolicy": {
        "id": 1,
        "name": "text",
        "escalationRules": [
          {
            "escalationTimeout": 1,
            "user": {
              "id": 1
            },
            "schedule": {
              "id": 1
            },
            "team": {
              "id": 1
            },
            "users": [
              {
                "id": 1,
                "firstName": "text",
                "lastName": "text"
              }
            ],
            "schedules": [
              {
                "id": 1,
                "name": "text",
                "type": "STATIC"
              }
            ],
            "teams": [
              {
                "id": 1,
                "name": "text"
              }
            ]
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "repeating": false,
        "frequency": 1,
        "delayMin": 0,
        "routingKey": "text",
        "managedBy": {
          "type": "API",
          "source": "text"
        }
      },
      "integrationType": "NAGIOS",
      "integrationKey": "text",
      "integrationUrl": "text",
      "autoResolutionTimeout": "text",
      "alertGroupingWindow": "text",
      "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
      "status": "PENDING",
      "active": true,
      "alertPriorityRule": "HIGH",
      "supportHours": {
        "id": 1,
        "name": "text",
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "timezone": "Europe/Berlin",
        "supportDays": {
          "MONDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "TUESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "WEDNESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "THURSDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "FRIDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SATURDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SUNDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          }
        },
        "exceptions": [
          {
            "name": "text",
            "start": "2026-01-01",
            "end": "2026-01-01",
            "supportStatus": "DURING"
          }
        ],
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "currentStatus": "DURING"
      },
      "bidirectional": true,
      "summaryTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "detailsTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "routingTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "linkTemplates": [
        {
          "text": "text",
          "hrefTemplate": {
            "textTemplate": "text",
            "elements": [
              {
                "type": "TEXT",
                "val": "text",
                "func": "text",
                "args": [
                  {
                    "S": "text",
                    "N": 1
                  }
                ]
              }
            ]
          }
        }
      ],
      "priorityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "priority": "LOW"
          }
        ]
      },
      "severityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "severity": 1
          }
        ]
      },
      "eventFilter": "text",
      "alertKeyTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "servicesTemplate": [
        {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      ],
      "eventTypeFilterCreate": "text",
      "eventTypeFilterAccept": "text",
      "eventTypeFilterResolve": "text",
      "autoRaiseAlerts": true,
      "scoreThreshold": 1,
      "severity": 1,
      "services": [
        {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "subscribed": true,
          "uptime": {
            "rangeStart": "2026-01-01T00:00:00.000Z",
            "rangeEnd": "2026-01-01T00:00:00.000Z",
            "outages": [
              {
                "status": "OPERATIONAL",
                "from": "2026-01-01T00:00:00.000Z",
                "until": "2026-01-01T00:00:00.000Z"
              }
            ],
            "uptimePercentage": {
              "uptimePercentage": {
                "p90": 1,
                "p60": 1,
                "p30": 1
              }
            }
          },
          "managedBy": {
            "type": "API",
            "source": "text"
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "createdBy": {
            "type": "API",
            "source": "text"
          },
          "dependencies": [
            {
              "id": 1,
              "sourceServiceId": 1,
              "targetServiceId": 1,
              "notes": "text",
              "invalidAfter": "2026-01-01T00:00:00.000Z",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "updatedAt": "2026-01-01T00:00:00.000Z",
              "createdBy": {
                "type": "API",
                "source": "text"
              },
              "managedBy": {
                "type": "API",
                "source": "text"
              }
            }
          ]
        }
      ],
      "setupStatus": "CREATED",
      "autoCreateServices": false,
      "createdAt": "text",
      "updatedAt": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    }
  ],
  "services": [
    {
      "id": 1,
      "name": "text",
      "alias": "text",
      "status": "OPERATIONAL",
      "description": "text",
      "oneOpenIncidentOnly": true,
      "showUptimeHistory": true,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "managedBy": {
        "type": "API",
        "source": "text"
      },
      "publicStatus": "OPERATIONAL",
      "labels": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "iconUrl": "text",
      "links": [
        {
          "href": "https://example.com",
          "text": "text"
        }
      ],
      "createdBy": {
        "type": "API",
        "source": "text"
      }
    }
  ],
  "createdBy": "text",
  "notifications": {
    "atCreation": true,
    "dayBeforeStart": true,
    "hourBeforeStart": true,
    "atStart": true,
    "atEnd": true
  }
}

Update an existing maintenance window.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Body
idinteger · int64Read-onlyOptional
timezonestring · enumOptionalPossible values:
startstring · date-timeOptional
endstring · date-timeOptional
summarystringOptional
descriptionstringOptional
createdBystringRead-onlyOptional
Responses
200

the updated maintenance window object

application/json
idinteger · int64Read-onlyOptional
timezonestring · enumOptionalPossible values:
startstring · date-timeOptional
endstring · date-timeOptional
summarystringOptional
descriptionstringOptional
createdBystringRead-onlyOptional
put/maintenance-windows/{id}
PUT /api/maintenance-windows/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 3890

{
  "timezone": "Europe/Berlin",
  "start": "2026-01-01T00:00:00.000Z",
  "end": "2026-01-01T00:00:00.000Z",
  "summary": "text",
  "description": "text",
  "alertSources": [
    {
      "id": 1,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "name": "text",
      "iconUrl": "text",
      "lightIconUrl": "text",
      "darkIconUrl": "text",
      "escalationPolicy": {
        "id": 1,
        "name": "text",
        "escalationRules": [
          {
            "escalationTimeout": 1,
            "user": {
              "id": 1
            },
            "schedule": {
              "id": 1
            },
            "team": {
              "id": 1
            },
            "users": [
              {
                "id": 1,
                "firstName": "text",
                "lastName": "text"
              }
            ],
            "schedules": [
              {
                "id": 1,
                "name": "text",
                "type": "STATIC"
              }
            ],
            "teams": [
              {
                "id": 1,
                "name": "text"
              }
            ]
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "repeating": false,
        "frequency": 1,
        "delayMin": 0,
        "routingKey": "text"
      },
      "integrationType": "NAGIOS",
      "integrationKey": "text",
      "autoResolutionTimeout": "text",
      "alertGroupingWindow": "text",
      "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
      "active": true,
      "alertPriorityRule": "HIGH",
      "supportHours": {
        "id": 1,
        "name": "text",
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "timezone": "Europe/Berlin",
        "supportDays": {
          "MONDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "TUESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "WEDNESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "THURSDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "FRIDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SATURDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SUNDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          }
        },
        "exceptions": [
          {
            "name": "text",
            "start": "2026-01-01",
            "end": "2026-01-01",
            "supportStatus": "DURING"
          }
        ]
      },
      "summaryTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "detailsTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "routingTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "linkTemplates": [
        {
          "text": "text",
          "hrefTemplate": {
            "textTemplate": "text",
            "elements": [
              {
                "type": "TEXT",
                "val": "text",
                "func": "text",
                "args": [
                  {
                    "S": "text",
                    "N": 1
                  }
                ]
              }
            ]
          }
        }
      ],
      "priorityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "priority": "LOW"
          }
        ]
      },
      "severityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "severity": 1
          }
        ]
      },
      "eventFilter": "text",
      "alertKeyTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "servicesTemplate": [
        {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      ],
      "eventTypeFilterCreate": "text",
      "eventTypeFilterAccept": "text",
      "eventTypeFilterResolve": "text",
      "autoRaiseAlerts": true,
      "scoreThreshold": 1,
      "severity": 1,
      "services": [
        {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "uptime": {
            "rangeStart": "2026-01-01T00:00:00.000Z",
            "rangeEnd": "2026-01-01T00:00:00.000Z",
            "outages": [
              {
                "status": "OPERATIONAL",
                "from": "2026-01-01T00:00:00.000Z",
                "until": "2026-01-01T00:00:00.000Z"
              }
            ],
            "uptimePercentage": {
              "uptimePercentage": {}
            }
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "dependencies": [
            {
              "sourceServiceId": 1,
              "targetServiceId": 1,
              "notes": "text",
              "invalidAfter": "2026-01-01T00:00:00.000Z"
            }
          ]
        }
      ],
      "setupStatus": "CREATED",
      "autoCreateServices": false
    }
  ],
  "services": [
    {
      "id": 1,
      "name": "text",
      "alias": "text",
      "status": "OPERATIONAL",
      "description": "text",
      "oneOpenIncidentOnly": true,
      "showUptimeHistory": true,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "publicStatus": "OPERATIONAL",
      "labels": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "iconUrl": "text",
      "links": [
        {
          "href": "https://example.com",
          "text": "text"
        }
      ]
    }
  ],
  "notifications": {
    "atCreation": true,
    "dayBeforeStart": true,
    "hourBeforeStart": true,
    "atStart": true,
    "atEnd": true
  }
}
200

the updated maintenance window object

{
  "id": 1,
  "timezone": "Europe/Berlin",
  "start": "2026-01-01T00:00:00.000Z",
  "end": "2026-01-01T00:00:00.000Z",
  "summary": "text",
  "description": "text",
  "alertSources": [
    {
      "id": 1,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "name": "text",
      "iconUrl": "text",
      "lightIconUrl": "text",
      "darkIconUrl": "text",
      "escalationPolicy": {
        "id": 1,
        "name": "text",
        "escalationRules": [
          {
            "escalationTimeout": 1,
            "user": {
              "id": 1
            },
            "schedule": {
              "id": 1
            },
            "team": {
              "id": 1
            },
            "users": [
              {
                "id": 1,
                "firstName": "text",
                "lastName": "text"
              }
            ],
            "schedules": [
              {
                "id": 1,
                "name": "text",
                "type": "STATIC"
              }
            ],
            "teams": [
              {
                "id": 1,
                "name": "text"
              }
            ]
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "repeating": false,
        "frequency": 1,
        "delayMin": 0,
        "routingKey": "text",
        "managedBy": {
          "type": "API",
          "source": "text"
        }
      },
      "integrationType": "NAGIOS",
      "integrationKey": "text",
      "integrationUrl": "text",
      "autoResolutionTimeout": "text",
      "alertGroupingWindow": "text",
      "alertCreation": "ONE_OPEN_ALERT_ALLOWED",
      "status": "PENDING",
      "active": true,
      "alertPriorityRule": "HIGH",
      "supportHours": {
        "id": 1,
        "name": "text",
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "timezone": "Europe/Berlin",
        "supportDays": {
          "MONDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "TUESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "WEDNESDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "THURSDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "FRIDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SATURDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          },
          "SUNDAY": {
            "start": "00:00:00",
            "end": "00:00:00"
          }
        },
        "exceptions": [
          {
            "name": "text",
            "start": "2026-01-01",
            "end": "2026-01-01",
            "supportStatus": "DURING"
          }
        ],
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "currentStatus": "DURING"
      },
      "bidirectional": true,
      "summaryTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "detailsTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "routingTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "linkTemplates": [
        {
          "text": "text",
          "hrefTemplate": {
            "textTemplate": "text",
            "elements": [
              {
                "type": "TEXT",
                "val": "text",
                "func": "text",
                "args": [
                  {
                    "S": "text",
                    "N": 1
                  }
                ]
              }
            ]
          }
        }
      ],
      "priorityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "priority": "LOW"
          }
        ]
      },
      "severityTemplate": {
        "valueTemplate": {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        },
        "mappings": [
          {
            "value": "text",
            "severity": 1
          }
        ]
      },
      "eventFilter": "text",
      "alertKeyTemplate": {
        "textTemplate": "text",
        "elements": [
          {
            "type": "TEXT",
            "val": "text",
            "func": "text",
            "args": [
              {
                "S": "text",
                "N": 1
              }
            ]
          }
        ]
      },
      "servicesTemplate": [
        {
          "textTemplate": "text",
          "elements": [
            {
              "type": "TEXT",
              "val": "text",
              "func": "text",
              "args": [
                {
                  "S": "text",
                  "N": 1
                }
              ]
            }
          ]
        }
      ],
      "eventTypeFilterCreate": "text",
      "eventTypeFilterAccept": "text",
      "eventTypeFilterResolve": "text",
      "autoRaiseAlerts": true,
      "scoreThreshold": 1,
      "severity": 1,
      "services": [
        {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "subscribed": true,
          "uptime": {
            "rangeStart": "2026-01-01T00:00:00.000Z",
            "rangeEnd": "2026-01-01T00:00:00.000Z",
            "outages": [
              {
                "status": "OPERATIONAL",
                "from": "2026-01-01T00:00:00.000Z",
                "until": "2026-01-01T00:00:00.000Z"
              }
            ],
            "uptimePercentage": {
              "uptimePercentage": {
                "p90": 1,
                "p60": 1,
                "p30": 1
              }
            }
          },
          "managedBy": {
            "type": "API",
            "source": "text"
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "createdBy": {
            "type": "API",
            "source": "text"
          },
          "dependencies": [
            {
              "id": 1,
              "sourceServiceId": 1,
              "targetServiceId": 1,
              "notes": "text",
              "invalidAfter": "2026-01-01T00:00:00.000Z",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "updatedAt": "2026-01-01T00:00:00.000Z",
              "createdBy": {
                "type": "API",
                "source": "text"
              },
              "managedBy": {
                "type": "API",
                "source": "text"
              }
            }
          ]
        }
      ],
      "setupStatus": "CREATED",
      "autoCreateServices": false,
      "createdAt": "text",
      "updatedAt": "text",
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    }
  ],
  "services": [
    {
      "id": 1,
      "name": "text",
      "alias": "text",
      "status": "OPERATIONAL",
      "description": "text",
      "oneOpenIncidentOnly": true,
      "showUptimeHistory": true,
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "managedBy": {
        "type": "API",
        "source": "text"
      },
      "publicStatus": "OPERATIONAL",
      "labels": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "iconUrl": "text",
      "links": [
        {
          "href": "https://example.com",
          "text": "text"
        }
      ],
      "createdBy": {
        "type": "API",
        "source": "text"
      }
    }
  ],
  "createdBy": "text",
  "notifications": {
    "atCreation": true,
    "dayBeforeStart": true,
    "hourBeforeStart": true,
    "atStart": true,
    "atEnd": true
  }
}

Delete the specified maintenance window.

delete
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
204

if deletion was successful

delete/maintenance-windows/{id}
DELETE /api/maintenance-windows/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

if deletion was successful

No content

Last updated

Was this helpful?